/*
 * Copyright (C) 2016 Texas Instruments Incorporated - http://www.ti.com/ 
 * 
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

#define NX 128
#define NH 16
#define FNAME "t6"
#define MAXERROR 10  // max absolute value 

DATA x[NX] ={
23058,
17005,
29475,
3797,
-31836,
6303,
20722,
31266,
-18226,
13348,
1445,
28370,
13982,
-17824,
-3301,
-21483,
30724,
-9456,
-29554,
16733,
25874,
-14015,
-16306,
28359,
-24184,
28889,
13228,
22785,
-19054,
-2944,
-27455,
23011,
4066,
-11843,
-8199,
24103,
-8378,
-27939,
-19672,
-29525,
4371,
-24778,
1449,
-25097,
17689,
-8189,
21193,
-29712,
6416,
29435,
-13842,
25482,
-26111,
-28488,
-17413,
28383,
-28631,
-15453,
32737,
-18876,
-105,
-13731,
11321,
30014,
17468,
10887,
-24187,
-26515,
-31794,
-13881,
20757,
31816,
-31631,
20931,
7938,
3946,
-16776,
21103,
-15519,
16622,
10462,
-18740,
6692,
6877,
10453,
-20752,
8948,
-21607,
2595,
8086,
12182,
11622,
24695,
-31924,
-12426,
18289,
-12630,
27962,
11712,
-27898,
-28137,
-31987,
-17882,
1065,
-2740,
13317,
5405,
603,
-27900,
-20105,
-7891,
-14652,
17752,
-12195,
9056,
31887,
188,
29340,
21497,
27365,
-25358,
20455,
26755,
-22520,
-24765,
17214,
14535,
9937,
};

DATA h[NH] ={
1883,
1210,
2843,
-1690,
-598,
-2129,
-3444,
-3107,
2599,
-1186,
-251,
3068,
-2013,
2684,
1161,
2901,
};

DATA rtest[NX+NH-1] ={
1325,
1829,
4323,
1593,
-430,
-3812,
-5601,
-1206,
-967,
1014,
1127,
5486,
-5899,
2796,
-624,
-384,
762,
-1638,
-65,
-3809,
9195,
2501,
5947,
-4731,
5677,
5055,
-7333,
12116,
-3509,
-2867,
-5970,
3322,
-12644,
2905,
3889,
883,
4162,
-1940,
-2407,
-3841,
4954,
-6750,
6527,
-993,
5866,
-356,
11153,
-4409,
5136,
-2824,
2014,
-1448,
-8797,
-1386,
-10237,
-3641,
-7786,
7771,
-8703,
14076,
3210,
-6578,
4927,
3079,
3030,
-321,
7564,
-13939,
-7703,
-8395,
-7810,
5111,
2866,
13250,
90,
5423,
-3352,
-2297,
2595,
3771,
-9221,
760,
-2748,
-8103,
5244,
912,
147,
-4337,
7445,
-8708,
6894,
1086,
5683,
337,
2599,
-6063,
-5260,
4489,
-4371,
6307,
-946,
-8969,
-6488,
1339,
-5552,
12758,
10294,
3581,
3405,
-4309,
-4341,
-2055,
-1311,
-127,
1769,
69,
1726,
2679,
1968,
632,
1284,
-6039,
-9106,
-1192,
-14044,
-2989,
143,
3914,
};

DATA x_np[NX+NH-1] = {
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
23058,
17005,
29475,
3797,
-31836,
6303,
20722,
31266,
-18226,
13348,
1445,
28370,
13982,
-17824,
-3301,
-21483,
30724,
-9456,
-29554,
16733,
25874,
-14015,
-16306,
28359,
-24184,
28889,
13228,
22785,
-19054,
-2944,
-27455,
23011,
4066,
-11843,
-8199,
24103,
-8378,
-27939,
-19672,
-29525,
4371,
-24778,
1449,
-25097,
17689,
-8189,
21193,
-29712,
6416,
29435,
-13842,
25482,
-26111,
-28488,
-17413,
28383,
-28631,
-15453,
32737,
-18876,
-105,
-13731,
11321,
30014,
17468,
10887,
-24187,
-26515,
-31794,
-13881,
20757,
31816,
-31631,
20931,
7938,
3946,
-16776,
21103,
-15519,
16622,
10462,
-18740,
6692,
6877,
10453,
-20752,
8948,
-21607,
2595,
8086,
12182,
11622,
24695,
-31924,
-12426,
18289,
-12630,
27962,
11712,
-27898,
-28137,
-31987,
-17882,
1065,
-2740,
13317,
5405,
603,
-27900,
-20105,
-7891,
-14652,
17752,
-12195,
9056,
31887,
188,
29340,
21497,
27365,
-25358,
20455,
26755,
-22520,
-24765,
17214,
14535,
9937,
};

